org.apache.ignite.springdata22.repository.config

## Class IgniteRepositoryConfigurationExtension

- java.lang.Object
- - org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport
  - - org.apache.ignite.springdata22.repository.config.IgniteRepositoryConfigurationExtension

- All Implemented Interfaces:
    org.springframework.data.repository.config.RepositoryConfigurationExtension

      public class IgniteRepositoryConfigurationExtension
      extends org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport

  Apache Ignite specific implementation of `RepositoryConfigurationExtension`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteRepositoryConfigurationExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Collection<Class<?>>` | `getIdentifyingTypes()`
    `String` | `getModuleName()`
    `protected String` | `getModulePrefix()`
    `String` | `getRepositoryFactoryBeanClassName()`

    - ### Methods inherited from class org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport

      `getConfigurationInspectionClassLoader, getDefaultNamedQueryLocation, getIdentifyingAnnotations, getRepositoryConfiguration, getRepositoryConfigurations, getRepositoryConfigurations, hasBean, isStrictRepositoryCandidate, postProcess, postProcess, postProcess, registerBeansForRoot, registerIfNotAlreadyRegistered, registerLazyIfNotAlreadyRegistered, registerWithSourceAndGeneratedBeanName, useRepositoryConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteRepositoryConfigurationExtension

          public IgniteRepositoryConfigurationExtension()

  - ### Method Detail

    - #### getModuleName

          public String getModuleName()

      Specified by:
        `getModuleName` in interface `org.springframework.data.repository.config.RepositoryConfigurationExtension`
      Overrides:
        `getModuleName` in class `org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport`

    - #### getModulePrefix

          protected String getModulePrefix()

      Specified by:
        `getModulePrefix` in class `org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport`

    - #### getRepositoryFactoryBeanClassName

          public String getRepositoryFactoryBeanClassName()

    - #### getIdentifyingTypes

          protected Collection<Class<?>> getIdentifyingTypes()

      Overrides:
        `getIdentifyingTypes` in class `org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020